#!/bin/bash

# Nagios check using initctl to verify status of retracer processes
# Take a list of ARCHS and check initctl for each retracer

ARCHS=$@

for ARCH in $@; do
    case $ARCH in
        amd64)    ;;
         i386)    ;;
        armhf)    ;;
            *)    echo "WARN: $ARCH is not a valid retacer architecture"
                  exit 1
                  ;;
    esac

    STATUS=$(/sbin/initctl status retracer-${ARCH} 2>&1| awk '{print $2}' | sed 's/,//')
    if [ "$STATUS" != "start/running" ]; then
        echo "CRITICAL: $ARCH retracer status is $STATUS"
        exit 2
    fi
done

echo "OK: all retracer statuses are start/running"
